#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile requirements.in
#
bitarray==2.9.2
    # via bitstring
bitstring==4.2.3
    # via esptool
build==1.2.1
    # via pip-tools
cffi==1.17.0
    # via cryptography
click==8.1.7
    # via pip-tools
cryptography==43.0.0
    # via esptool
ecdsa==0.19.0
    # via esptool
esptool==4.7.0
    # via -r requirements.in
intelhex==2.3.0
    # via esptool
mpremote==1.23.0
    # via -r requirements.in
packaging==24.1
    # via build
pip-tools==7.4.1
    # via -r requirements.in
pycparser==2.22
    # via cffi
pyproject-hooks==1.1.0
    # via
    #   build
    #   pip-tools
pyserial==3.5
    # via
    #   esptool
    #   mpremote
pyyaml==6.0.2
    # via esptool
reedsolo==1.7.0
    # via esptool
six==1.16.0
    # via ecdsa
wheel==0.44.0
    # via pip-tools

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools
